﻿
@{
    ViewBag.Title = "Update User Records";
}



<div class="row">
    <div class="col-md-12 grid-margin stretch-card">
        <div class="card">
            <div class="card-body">
                <h4 class="card-title"></h4>
                <p class="card-description">
                    List of Users
                </p>
                <div class="table-responsive pt-3">
                    <table class="table table-bordered" id="myTable">
                        <thead>
                            <tr>
                                <th>
                                    ID
                                </th>
                                <th>
                                    Username
                                </th>
                                <th>
                                    Department
                                </th>
                                <th>
                                    Role
                                </th>
                                <th>
                                    URL
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                           

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">
    $(function () {
        var pageSize = 20;
        var optionListUrl = '@Url.Action("GetOptionList", "Account")';
        $('#select2').select2(
            {
                ajax: {
                    delay: 150,
                    url: optionListUrl,
                    dataType: 'json',
                    data: function (params) {
                        params.page = params.page || 1;
                        return {
                            searchTerm: params.term,
                            pageSize: pageSize,
                            pageNumber: params.page
                        };
                    },
                    processResults: function (data, params) {
                        params.page = params.page || 1;
                        return {
                            results: data.Results,
                            pagination: {
                                more: (params.page * pageSize) < data.Total
                            }
                        };
                    }
                },
                placeholder: "-- Please select a name --",
                minimumInputLength: 3,
                allowClear: true,
            });
    });

    $(document).ready(function () {
      //  debugger;
        $("#myTable").DataTable({
            "processing": true, // for show progress bar
            "serverSide": true, // for process server side
            "filter": true, // this is for disable filter (search box)
            "orderMulti": false, // for disable multiple column at once
            columns: [
                { 'data': 'Id', 'orderable': false, visible:false },
                { 'data': 'Username'},
                { 'data': 'Department' },
                { 'data': 'Role' },
                {
                    data: null,
                    //className: "center",
                    //defaultContent: '<a href="" class="editor_edit">Edit</a> / <a href="" class="editor_remove">Delete</a>'
  },
           
            ],
           
            "delay": 150,
            "ajax": {
                "url": '@Url.Action("GetAllUsers","Account")',
                "type": "POST",
                "datatype": "json"
            }
        });
    });

</script>
